Get a webhook
curl --request GET \
--url https://go-fetch.io/api/v1/webhooks/{id}/ \
--header 'X-API-Key: <api-key>'import requests
url = "https://go-fetch.io/api/v1/webhooks/{id}/"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://go-fetch.io/api/v1/webhooks/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"signing_secret": "<string>",
"failed_deliveries": 123,
"disabled_reason": "<string>",
"last_delivery_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"events": "<unknown>",
"is_active": true
}Webhooks
Get a webhook
Shared helper to resolve organization IDs from the authenticated request.
GET
/
api
/
v1
/
webhooks
/
{id}
/
Get a webhook
curl --request GET \
--url https://go-fetch.io/api/v1/webhooks/{id}/ \
--header 'X-API-Key: <api-key>'import requests
url = "https://go-fetch.io/api/v1/webhooks/{id}/"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://go-fetch.io/api/v1/webhooks/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"signing_secret": "<string>",
"failed_deliveries": 123,
"disabled_reason": "<string>",
"last_delivery_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"events": "<unknown>",
"is_active": true
}Authorizations
Path Parameters
Response
200 - application/json
Maximum string length:
200In full in the create response only; its first 8 characters and ... after.
Events to listen for